(in-package :PWCSOUND)  

;; define a user menu
(ccl::add-PWGL-user-menu 
 '(:menu-component
   ("PWCsound"
 ("Tools"  ( synthesize instr endin orc-sco orc-sco-disk record-to-disk sketch  multi-score simple-score p2-seq audio-input real-time write-to-disk make-csd ))  
  
     ("Synthesis" ("Basic" (sine dualosc hiperosc oscil oscil3 oscili poscil poscil3 poscil-ph poscil-k))
                  ("Dynamic-Spectrum-Oscillators" ( buzz gbuzz saw square hsboscil ))
                  ("Noise" ( rand fractalnoise noise betarand bexprnd cauchy exprand gauss pinkish poisson unirand weibull))
                  ("Fm" ( foscili fmb3 fmbell fmpercfl fmvoice phasemod))
("Phasors" ( phasor-a phasor-k table tablei))
                  ("Impulses" ( mpulse dust dust2 gausstrig))
("Granular" ( grain3 diskgrain fof partikkel))
("Wave-terrain" ( wterrain))
("Waveshaping" ( distort distort1 powershape))
("Scanned" ( simple-scan scan-injection))
                  ("Models" ( gendy gendyc gendyx bamboo cabasa crunch dripwater guiro sandpaper sekere shaker sleighbells stix tambourine))
                  ("Modeling" ( pluck pluck2 repluck wgclar wgflute wgpluck wgpluck2 wgbow wgbowedbar)))
("Sampling"  ( soundin loscil3 diskin2 diskin2-noloop diskin2-hd flooper flooper2  bbcutm))
("Outputs"  (mono stereo quad ))
("Spatialization"  (pan autopan jspline-pan ))            
("Filters" ("Standard" (tone atone butterbp butterbr butterhp butterlp ))
                 ("Lowpass-resonant" (areson lowpass2 lowres lowresx lpf18 moogvcf moogladder reson resonx ))
("Specialized" (dcblock dcblock2 fofilter )))


("Spectral" ("tools" (analysis  resynthesis ))
             ("Processing" ( timestretch pvswarp pvsfreeze pvscale pvsmix pvsmooth pvsfilter pvsblur pvsmorph pvsarp pvsvoc )))

("Resonators"  ( streson wguide1 wguide2 mode membrane chime_tube2  jegogan_bars aluminum_bar redwood 
dahina_tabla  vibraphone1  wine_glass spinel_sphere   small_handbell tibetan_bowl pot_lit))

    
     ("Lfo"  ( lfo vibr))
     ("Random numbers"  ( seed betarand-k bexprnd-k cauchy-k cuserrnd exprand-k gauss-k poisson-k rnd rnd31 random1 randomi randomh linrand pcauchy randi randh trirand unirand-k weibull-k jitter jitter2 trandom))
     ("Envelopes"  ( adsr madsr mxadsr expon jspline rspline line linseg-points linseg3 linseg4 linseg5 linseg6 linseg-pad declick env-poscil follow scale logcurve))
     
     ("Amplitude Modifiers"  (balance compress clip gain gainslider))
     ("Operators"  (addition subtraction multiplication division add div multiply add-mult sum2 sum3 sum4  sum5 sum6 sum7 sum8 ring ring1 ring2 ring3 ring4 sumsqr difsqr sqrsum sqrdif absdif vectorial ))

("Delay"  ( delay delay1 fbkdelay vintage-echo vdelay vdelay3 ))

("Reverberation"  ( alpass comb freeverb reverbsc platerev ))

("Sample level operators"  ( diff-a diff-k downsamp fold integ-a integ-k interp samphold-a samphold-k ntrpol upsamp))

("Global FX"  ( cs-append init vincr vincr-stereo clear mono-fx stereo-fx))

("Midi"  ( sketch-midi sketch-midi2  midisynth ctrl7 portk vectorial-rt))

     ("Effects"  (chorus phaser rndphaser flanger freq-shift metalizer bitcrush doppler))
    ("Trigger"  ( metro schedkwhen sequencer chord ))
("GEN"  ( gen10 gen07 gen02 gen02-negative menu-gen menu-grain  ))
    
     
     )))



 



                  